Jump to content

[UPDATED 08-04-2014] New suggested modules updates for 1.5.x.x are broken!


Recommended Posts

Today prestashop's team have release some modules updates (+10 updates)

but unfortunately some of them are not working, here is the list:

 

Danger Modules that brokes your webstore:

1 - Top horizontal menu 1.10 (Problem: blank page)

2 - Image slider for your homepage 1.2.7 (Problem: blank page)

3 - Quick search block 1.4 (Problem: blank page)

 

Solution: 

The solution is simple, just download the modules that are broken from here: prestashop 1.5 - github

 

--------------------------------------------------------------------------------------------------------------------------------

 

LIST OF PRESTASHOP SUGGESTED UPDATES FOR 1.5.x.x:

STATUS UPDATE: 20-05-2014 (19:41)

 

» Block advertising 0.7
» Categories block 2.5 (Problem: blank page) 
» CMS Block 1.6 (Issue: not displaying some content)
» Currency block 0.2
» Customer follow-up 1.5
» Customer loyalty and rewards 1.13 (OK)
» Customer referral program 1.5.5
» Data mining for statistics 1.1
» Favorite Products 1.1
»» Image slider for your homepage 1.2.7 (Problem: blank page)
» Language block 1.2
» Layered navigation block 1.10.5
» Link block 1.5.1
» Mail alerts 3.2.4
» Manufacturers block 1.1
» New products block 1.7
» Newsletter 2.0 (OK)
» Newsletter 2.1
» Newsletter 2.2
» PrestaShop Cleaner 1.5
» Product Comments 2.9.1
» Product Comments 3.3.2
»» Quick search block 1.4 (Problem: blank page)
» Send to a Friend module 1.4 (OK)
» Shipping Estimate 2.1.0
» Top-seller block 1.5.1
»» Top horizontal menu 1.10 (Problem: blank page)
» Tracking - Front office 1.2
» User info block 0.2
» Viewed products block 1.0
» Wishlist block 0.9 (OK)
» Merchant Expertise 1.8.6
» Merchant Expertise 1.8.9 (OK)
» PayPal 3.6.7 (OK)
» PayPal 3.6.8 - Europe (OK)
» PayPal 3.7.0 - Europe (OK)
» TextMaster 1.0.4 (OK)
» Layered navigation block 1.10.7 (OK)
» PrestaShop Cleaner 1.6 (OK)
» PrestaShop Cleaner 1.7 (?)
» PrestaShop Cleaner 1.8 (OK)
» Google sitemap 2.3.8 (OK)
» Google Analytics 1.8 (OK)
» TextMaster 1.0.6 (OK)
» Layered navigation block 1.10.8 (OK)
» Import/export a theme 2.8 (OK)
» 1-Click Upgrade 1.3.12 (NOT WORKING WE GET A BLANK PAGE)
 
 
 
Red »: means the module are having problems (doesn't work at all)
Orange »: some issues with modules but works
Blue »: updates with the same version as in prestashop 1.6 (don't sure if it works 100%)
Green »: working OK (100%compatible)
Purple » Cannot be updated (Wrong Update process)
 
Please make sure to post here all your modules updates issues if any
this way we can track down the bad and incompatible modules that can't be updated
 
 
 
As for the prestashop team I just want to say that: please, fix the non working modules and review all the blue marked modules described above to see if they are 100% compatible with prestashop 1.5.x.x and next time just test it before releasing broken modules.
 
Regards
Edited by ALMAJ (see edit history)
  • Like 2

Share this post


Link to post
Share on other sites

I find the shipping estimation module is also broken (Hangs when trying to get "states" so no shipping options are shown

Share this post


Link to post
Share on other sites

I find the shipping estimation module is also broken (Hangs when trying to get "states" so no shipping options are shown

 

It's working with me, can you give me your url store?

Share this post


Link to post
Share on other sites

It's working with me, can you give me your url store?

www.shackles-r-us.co.uk

 

I had reverted back to the old module, and it was working fine two minutes ago. So I have now updated again and it has stopped working

Share this post


Link to post
Share on other sites

unfortunately,

almost all modules dedicated for new version will not work in 1.5 due to the differencies in Media class, and other classes too...

Sorry, did not read the thread title properly, I assumed it was for 1.6

 

I have prestashop V1.6 and the new module is not working

Share this post


Link to post
Share on other sites

maybe a little confusion: 1.6 is the version of the blockcms module, not of PS. I use PS 1.5.6.1 and the upgrade was suggested by PS in the module page. Done the upgrade, stopped working.

Yes, sorry for my confusion, but it does look like the modules are causing problems on prestashop 1.5 and 1.6

Share this post


Link to post
Share on other sites

unfortunately,

almost all modules dedicated for new version will not work in 1.5 due to the differencies in Media class, and other classes too...

 

This bug is horrible! We had several "emergency" support requests this Saturday. I hope you don't mind, but I've copied your comment to the bugtracker: http://forge.prestashop.com/browse/PSCFV-11855

Edited by Pronux (see edit history)

Share this post


Link to post
Share on other sites

simple exmaple:

Media::addJsDef(array('search_url' => $this->context->link->getPageLink('search', Tools::usingSecureMode())));

function not supported by ps 1.5

 

a lot of modules use this function, so... they just don't want to work in ps 1.5

Share this post


Link to post
Share on other sites

simple exmaple:

Media::addJsDef(array('search_url' => $this->context->link->getPageLink('search', Tools::usingSecureMode())));

function not supported by ps 1.5

 

a lot of modules uses this function, so... they just don't want to work in ps 1.5

 

 

The modules update was suggested by Prestashop 1.5.6.2 in the module page

this issues are related to the prestashop 1.5.6.2 not prestashop 1.6

if this update modules where made to work in prestashop 1.6 and not in prestashop 1.5, why prestashop 1.5 users get this updates suggestions?

  • Like 1

Share this post


Link to post
Share on other sites

i think all of this is because prestashop updates engine system hasn't got any kind of feature to "prevent" this. 

New modue is released - so engine just informs about that fact ...

well, as we can see it's a problematic thing :(

 

im a dev so i know what's going on, but what about all other merchants without any kind of dev knowledge? :|

  • Like 2

Share this post


Link to post
Share on other sites

So the best advice to all merchants that still using prestashop 1.5.6.2 and lower versions

and doesn't have any programming skills, is: do not install anymore the new modules updates because these updates will only be meant to be compatible with prestashop 1.6 and if you install it on prestashop 1.5.x.x it can broke your store!

 

I think prestashop team devs must find a solution very fast, as this is a very problematic situation,

eventually most of all merchants will upgrade their stores to the new prestashop 1.6 version

but for now a big slice of that merchants aren't not ready yet, so no rush

and devs, please, please still support prestashop 1.5 because it's not dead, yet.

Edited by majority (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

I copied all default modules from the last prestashop 1.5.6.2 build to my default theme

now I have this HUGE update list suggestion on my modules page:

 

LIST OF PRESTASHOP SUGGESTED UPDATES FOR 1.5.x.x:

 

» Block advertising 0.7
»» Categories block 2.5 (Problem: blank page) 
»» CMS Block 1.6 (Issue: not displaying some content)
» Currency block 0.2
» Customer follow-up 1.5
» Customer loyalty and rewards 1.13
» Customer referral program 1.5.5
» Data mining for statistics 1.1
»» Favorite Products 1.1 (problem: no image icon animation)
»» Image slider for your homepage 1.2.7 (Problem: blank page)
» Language block 1.2
» Layered navigation block 1.10.5
» Link block 1.5.1
» Mail alerts 3.2.4
» Manufacturers block 1.1
» New products block 1.7
» Newsletter 2.1
» PrestaShop Cleaner 1.5
» Product Comments 3.3.2
»» Quick search block 1.4 (Problem: blank page)
» Send to a Friend module 1.4
» Shipping Estimate 2.1.0
» Top-seller block 1.5.1
»» Top horizontal menu 1.10 (Problem: blank page)
» Tracking - Front office 1.2
» User info block 0.2
» Viewed products block 1.0
» Wishlist block 0.9
 
 
 
Red »: means the module are having problems (doesn't work at all)
Orange »: some issues with modules but works
Blue »: updates with the same version as is for prestashop 1.6 (don't sure if it works 100%)
Green »: working ok 100% compatible
 
 
Please make sure to post here all your modules updates issues if any
this way we can track down the bad and incompatible modules that can't be updated
 
 
 
As for the prestashop team I just want to say that: please, fix the non working modules and review all the blue marked modules described above to see if they are 100% compatible with prestashop 1.5.x.x and next time just test it before releasing broken modules.
 
 
 
 
This information is updated on the first post.
 
Regards
Edited by ALMAJ (see edit history)
  • Like 2

Share this post


Link to post
Share on other sites

thanks for the info, we had also the same issue, I've downloaded the zip file PS 1.5.6.2 and removed the folder on the server modules and upload the modules from the installation zip to the server and it's working.

I still need to do some updates, but the image slider on the homepage is working correctly!

Share this post


Link to post
Share on other sites

thanks for the info, we had also the same issue, I've downloaded the zip file PS 1.5.6.2 and removed the folder on the server modules and upload the modules from the installation zip to the server and it's working.

I still need to do some updates, but the image slider on the homepage is working correctly!

what is your current version of Image slider?

and what is your current version of prestashop?

 

regards

Share this post


Link to post
Share on other sites

Yep image slider update breaks the site. Have re-installed one from back up enabled it but cannot get it to re-appear yet

 

Any ideas? It is hooked into header like should be and have put back to right width for 3 column 1.5.6.2

Share this post


Link to post
Share on other sites

I reinstall all the modules and reinstall my theme, hours of work.. but i still have blank page with search and no product found into categories...

I have no idea what more i can do, i also rebuilt url... please help!!!!

my website is www.speedyufficio.it

Share this post


Link to post
Share on other sites

Strict Standards: Declaration of Dispatcher::loadRoutes() should be compatible with that of DispatcherCore::loadRoutes() in /home/speedy/public_html/override/classes/Dispatcher.php on line 16

Warning: Cannot modify header information - headers already sent by (output started at /home/speedy/public_html/override/classes/Dispatcher.php:16) in/home/speedy/public_html/classes/controller/FrontController.php on line 756

Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 82 bytes) in /home/speedy/public_html/classes/db/DbPDO.php on line 101

Share this post


Link to post
Share on other sites

Same problem from today. BLANK PAGE insted of our eshop www.akcni-figurky.cz. It is from last update of modules on our 1,5 PS version. Now way how to repair. Someone say that is possible to reinstal old version of modules.. but how or what to do exactly? We are desperate because eshop is our livelihood. Can be someone from here be so kind and help us? 

Share this post


Link to post
Share on other sites

Same problem from today. BLANK PAGE insted of our eshop www.akcni-figurky.cz. It is from last update of modules on our 1,5 PS version. Now way how to repair. Someone say that is possible to reinstal old version of modules.. but how or what to do exactly? We are desperate because eshop is our livelihood. Can be someone from here be so kind and help us? 

download the last prestashop 1.5.6.2 on github here and copy the modules to your prestashop store

Via FTP (you can use filezilla) go to your prestashop installation directory > modules

  • Like 1

Share this post


Link to post
Share on other sites

Strict Standards: Declaration of Dispatcher::loadRoutes() should be compatible with that of DispatcherCore::loadRoutes() in /home/speedy/public_html/override/classes/Dispatcher.php on line 16

Warning: Cannot modify header information - headers already sent by (output started at /home/speedy/public_html/override/classes/Dispatcher.php:16) in /home/speedy/public_html/classes/controller/FrontController.phpon line 756

Share this post


Link to post
Share on other sites

Strict Standards: Declaration of Dispatcher::loadRoutes() should be compatible with that of DispatcherCore::loadRoutes() in /home/speedy/public_html/override/classes/Dispatcher.php on line 16

 

Warning: Cannot modify header information - headers already sent by (output started at /home/speedy/public_html/override/classes/Dispatcher.php:16) in /home/speedy/public_html/classes/controller/FrontController.phpon line 756

sry but what does this mean?

Share this post


Link to post
Share on other sites

download the last prestashop 1.5.6.2 on github here and copy the modules to your prestashop store

Via FTP (you can use filezilla) go to your prestashop installation directory > modules

thx a lot, it help us... no more update. Bad is that i cant update PS on version 1,6 because it is DEMO and from now i cant update even modules :(

Share this post


Link to post
Share on other sites

thx a lot, it help us... no more update. Bad is that i cant update PS on version 1,6 because it is DEMO and from now i cant update even modules :(

yes, and more important than ever: if it's not broken don't fix it update

Share this post


Link to post
Share on other sites

Hello and thank you very much for this topic.

I was really terrified because my shop was showing only blank pages but thanks to you now it works.

The misunderstanding between 1.5.6.2 and 1.6 modules upgrades has to be fixed asap, please: until that date we won't update the modules or block anymore and it's not secure for sure.

Presta team, we always appreciate your wonderful and very hard work but please consider this bug as a priority.

Not all the users using PS can fix this bug immediately and it can be a very big problem for all of them.

PS: I restored most of the old blocks but I'm not sure everything is ok now.

Share this post


Link to post
Share on other sites

one user on my website in comments said, that also block user info module doesnt work well.

take a look: http://mypresta.eu/en/art/issues/updated-prestashop-modules-not-work.html (facebook comments)

 

so maybe it is worth to add this module to your list too :)

Hi vekia tanks for the heads up,

Yeah it seems the module User info block 0.2 is causing problems

I already update my list, thanks

 

For everyone who have the module Block User info version 0.2 please remove that and install/copy the old module Block User info version 0.1

 

 

Regards

  • Like 1

Share this post


Link to post
Share on other sites

Heads up people!

 

It seems that Prestashop team has just fix their Update pipe system,

now we have less updates suggestion for modules

here a capture screen for the current prestashop 1.5.6.2 installation:

post-376986-0-92654100-1395702145_thumb.jpg

capture on: 23:02 - 24-03-2014

 

 

But I still don't trust 100% on installing those remaining updates

so let's all test it, feedback from you will be appreciated!

 

 

Thanks

Edited by ALMAJ (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

I am so pissed of.

I din't know that the modules were broken and updated all modules. After the whole website turned blank I suspected that the modules were S#&%t but since i din't know which one was broken and couldn't remember all of the modules I updated - I had to delete all modules. Every single one of them. Then I redownloaded those to FTP. And guess what? The cart and the log in doesn't work at all now and the CMS at footer is very weird. I started to re-set, unsinstall and install the modules in the back office! F#?¤%&"! nothing works. I am thinking to switch prestashop to f% Jigoshop or something...Because now I have to reinstall the whole site and loose everything I've done! Because no, my site is so new, that I din't have time to back it up yet...

Share this post


Link to post
Share on other sites

I am so pissed of.

 

I din't know that the modules were broken and updated all modules. After the whole website turned blank I suspected that the modules were S#&%t but since i din't know which one was broken and couldn't remember all of the modules I updated - I had to delete all modules. Every single one of them. Then I redownloaded those to FTP. And guess what? The cart and the log in doesn't work at all now and the CMS at footer is very weird. I started to re-set, unsinstall and install the modules in the back office! F#?¤%&"! nothing works. I am thinking to switch prestashop to f% Jigoshop or something...Because now I have to reinstall the whole site and loose everything I've done! Because no, my site is so new, that I din't have time to back it up yet...

 

Sorry to ear that,

its a nightmare loosing data and hours of configuration :(

Share this post


Link to post
Share on other sites

this is why i think than uninstallation of module is not the right way to fix it.

just overwrite actual files with original modules from 1.5 and 

- it will work

- you will not loose modules datas

 

exactly as i described on my website.

  • Like 1

Share this post


Link to post
Share on other sites

yes you

 

this is why i think than uninstallation of module is not the right way to fix it.

just overwrite actual files with original modules from 1.5 and 

- it will work

- you will not loose modules datas

 

exactly as i described on my website.

 

Yes you right, overwriting the actual files with original modules from 1.5 will work better

doing that it will not loose any data configuration / position of the modules

Share this post


Link to post
Share on other sites

this is why i think than uninstallation of module is not the right way to fix it.

just overwrite actual files with original modules from 1.5 and 

- it will work

- you will not loose modules datas

 

exactly as i described on my website.

Okey thank you for that tip! I did that first and at the first glance the modules appeared fine. Only not in Swedish but in English. Then I started to reset and maybe that's where everything went wrong. I will try without resetting it all then! Thanks for the tip. Btw, what is your website, where you explain this?

Share this post


Link to post
Share on other sites

Okey thank you for that tip! I did that first and at the first glance the modules appeared fine. Only not in Swedish but in English. Then I started to reset and maybe that's where everything went wrong. I will try without resetting it all then! Thanks for the tip. Btw, what is your website, where you explain this?

article on my website about problem described in this topic is here: updated prestashop modules don't work

i usually informs about all new articles on my social network profiles

 

 

anyway i think that this topic is good enough to update it with each important information related to this case.

Majority - good work  :wub:

Share this post


Link to post
Share on other sites

article on my website about problem described in this topic is here: updated prestashop modules don't work

i usually informs about all new articles on my social network profiles

 

 

anyway i think that this topic is good enough to update it with each important information related to this case.

Majority - good work  :wub:

Indees this topic is really good. I wish it came to my mind to search forum before i started to mess with my shop...

 

Great website! 

I appreciate the post about how to prevent the future updates but can't find this option however. At least not in preferences > general  and not in my preferences either ^_^

Share this post


Link to post
Share on other sites

Indees this topic is really good. I wish it came to my mind to search forum before i started to mess with my shop...

 

Great website! 

I appreciate the post about how to prevent the future updates but can't find this option however. At least not in preferences > general  and not in my preferences either ^_^

 

Okey now i found it. It is actually Administration > preferences!

Share this post


Link to post
Share on other sites

I'm testing not only if the modules works ok, but i'm testing also if these modules updates having conflicts with other modules or with the store functionality itself!

this will take some time as I'm slowly testing one by one

Edited by ALMAJ (see edit history)

Share this post


Link to post
Share on other sites

The following update was just posted here http://forge.prestashop.com/browse/PSCFV-11886

 

------------------------------------------------------------

Change By:  Damien Metzger

Status:  Open Closed

Resolution:  Fixed

 

Hello,

We changed the compatibility to 1.6 only.

If you still have issues, you can retrieve the modules from the latest 1.5 zip.

Regards,

 

Prestashop Core Application V1.5 /  PSCFV-11886

Module updates breaks PS 1.5.x shops

------------------------------------------------------------

  • Like 2

Share this post


Link to post
Share on other sites

The following update was just posted here http://forge.prestashop.com/browse/PSCFV-11886

 

------------------------------------------------------------

Change By:  Damien Metzger

Status:  Open Closed

Resolution:  Fixed

 

Hello,

We changed the compatibility to 1.6 only.

If you still have issues, you can retrieve the modules from the latest 1.5 zip.

Regards,

 

Prestashop Core Application V1.5 /  PSCFV-11886

Module updates breaks PS 1.5.x shops

------------------------------------------------------------

thanks for the update

 

we now have less suggested upgrades for modules, and the remaining updates (14+) are supposedly to be compatible with prestashop 1.5.x.x, but I'm not falling for that again, so I'm testing the integrity (the best way I can) all the remaining modules one by one

Edited by ALMAJ (see edit history)

Share this post


Link to post
Share on other sites

Even though I have retrieved the modules from the 1.5 zip the cart summary and the check out and the customer log in does not work. So I will now reinstall the site from scratch. Does anyone know how I can save the customer data to be able to integrate it in the new shop?

Share this post


Link to post
Share on other sites

Even though I have retrieved the modules from the 1.5 zip the cart summary and the check out and the customer log in does not work. So I will now reinstall the site from scratch. Does anyone know how I can save the customer data to be able to integrate it in the new shop?

1 - through your host admin panel such as cpanel > Go to your phpmyadmin

2 - find your store database (something like this: "_yourdatabase")

3 - depending on your prestashop data base prefix (my prestashop database prefix is "ps_") select these tables:

ps_customer, ps_customer_group, ps_customer_message, ps_customer_message_sync_imap, ps_customer_thread

and export them

 

if you want to copy the orders, these are the tables:

ps_order_carrier, ps_order_cart_rule, ps_order_detail, ps_order_detail_tax, ps_order_history, 

ps_order_invoice, ps_order_invoice_payment, ps_order_message_lang, ps_order_payment, 

ps_order_return, ps_order_return_detail, ps_order_return_state, ps_order_return_state_lang, 

ps_order_slip, ps_order_slip_detail, ps_order_state, ps_order_state_lang

 

you will not need most of the tables, but to be safe copy everything,

I advise you to make a copy of the whole database, this way you can play around with them and be safe by not loosing customers and products data. 

Edited by ALMAJ (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

UPDATE NEWS!

 

The module update suggestion: "Product Comments version 3.3.2" its Not working!

problem: after a user comment and rated on a product, the rating stars are not showing in the product page!

So stay away from this update!
The Product comments version 2.4 works just fine.

 

tested in 2 different prestashop versions: prestashop 1.5.6.2 / 1.5.5.0

Edited by ALMAJ (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

UPDATE NEWS!


 


The module update suggestion: "Wishlist block version 0.9" it's working 100% ok!


This new update actually fix some problems found in the previous Wishlist block 0.2


So I recommend this update.


 


tested in 2 different prestashop versions: prestashop 1.5.6.2 / 1.5.5.0


Share this post


Link to post
Share on other sites

UPDATE NEWS! (Favorite Products 1.1)

 

The module update suggestion: "Favorite Products 1.1" it's not working well

The icon animation now it's working ok in version prestashop 1.5.6.2

but in the prestashop version 1.5.5.x sometimes the icon animation wont work!

also the costumer cannot remove their favorite products on my account page!

 

I highly recommend to stay with Favorite Products version 1.0, It's more stable and it works perfectly!

 

 

Tested in 2 different prestashop versions: prestashop 1.5.6.2 / 1.5.5.0

Edited by ALMAJ (see edit history)

Share this post


Link to post
Share on other sites

UPDATE NEWS! (Shipping Estimate 2.1.0)


 


The module update suggestion: "Shipping Estimate 2.1.0" it's working ok!


but in the prestashop version 1.5.5.x sometimes the carriers takes more time to update!


So I recommend if you are using prestashop 1.5.5.x do not update to this version, the previous version works fine


If you have prestashop 1.5.6.x the Shipping Estimate version 2.1.0 is working fine in my side, but be sure that works 100% ok on your end.


 


Tested in 2 different prestashop versions: prestashop 1.5.6.2 / 1.5.5.0


Share this post


Link to post
Share on other sites

UPDATE NEWS! (IMPORTANT)


 


Prestashop team attacks again! (the exterminator 1.6 continues) we now have +50 suggested modules updates


and some of them are duplicates, OMG whats going on?


 


 


Tested in 2 different prestashop versions: prestashop 1.5.6.2 / 1.5.5.0


Share this post


Link to post
Share on other sites

hello

you've got this message even after clearing the cache?

ahhh now i know, you probably don't disabled update suggestions option?

No iv'e not disable the update suggestions option this way I can warn the community that doesn't have disable the update suggestions option either.

Share this post


Link to post
Share on other sites

@vekia: If I disable updates suggestions I will not get messages about  updated modules at all, right?

 

Is there any way to exclude 1.6 modules update info but still receiving updated modules list for 1.5?

 

 

 

3 weeks ago Prestashop sent newsletter saying all existing modules for 1.5 created by them will work on 1.6.

And that themes for 1.5 will work on 1.6.....

 

http://www.prestashop.com/forums/topic/317563-solved-addons-suggesting-incompatiable-native-module-upgrades/page-2?do=findComment&comment=1612797

Edited by a_smith (see edit history)

Share this post


Link to post
Share on other sites

Who has google sitemap version 2.3.5 please share. after update to 2.3.6 this module doesn't work for 1.5.6.2

Hello, even my Google Sitemap seem to have some problems...

Any ideas to get back the old version?

Thank you guys!

Share this post


Link to post
Share on other sites

Hello, even my Google Sitemap seem to have some problems...

Any ideas to get back the old version?

Thank you guys!

download full 1.5.6.2 zip and reload broken/suspected module files on the ftp

this will rewert the module back and keep the data

 

or

 

download full 1.5.6.2 zip, go to modules folder and find suspected module folder inside

get it zipped

go to your store BO and install the module using your archive

this will downgrade the module to working version and save your all data

dont remove suspected module before  installation

Edited by a_smith (see edit history)

Share this post


Link to post
Share on other sites

Hello, 

One week ago, in order to be able to have modules both in the ZIP and updated via the Addons API, we decided to move the modules from the main repository on Github to separate repositories, 

Unfortunately, the default compatibility version for these modules was 1.5, even if the modules were not compatible. We changed this compatibility on Addons on Monday. But reverted this compatibility restriction again the next day on an automatic CRON job on the xml file.

 

We are extremely sorry failing to update the comparability properly, and for failing to communicate with all of you that the notifications to update was made in error. We know that this failure led to many stores having incompatible modules.

Now, we are including a compatibility check directly in the module code so that this problem will not happen again., so Addons will not be able to change the compatibility by itself.

 

If you upgraded a module during this time and are having issues with your stor